Loading...
Searching...
No Matches
net::InterfaceInfo Struct Reference

Interface specific info. More...

## Public Attributes

string | name
| Internal interface name.
string | label
| Interface label (used in user interfaces)
InterfaceType | type
| Interface type.
boolean | enabled
| The dynamic enabled state.
string | controllingIfName
| Controlling interface (set for bridged interfaces)
InterfaceOpState | state
| Operational state of the interface.
string | macAddr
| MAC address of the interface.
int | mtu
| Maximum Transfer Unit (MTU)
InterfaceIPv4Info | ipv4
| Interface specific IPv4 info.
InterfaceIPv6Info | ipv6
| Interface specific IPv6 info.

## Detailed Description

Interface specific info.

The documentation for this struct was generated from the following file:

- Net.idl